USE mysql;

INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','User-Name',0,'Insert');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Calling-Station-Id',0,'Insert');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Called-Station-Id',0,'Insert');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','NAS-Port',0,'Insert');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Timestamp Start',0,'Insert');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Acct-Unique-Session-Id',0,'Select,Insert');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Timestamp Stop',0,'Update');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Acct-Session-Time',0,'Update');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Acct-Input-Octets',0,'Update');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Acct-Output-Octets',0,'Update');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Acct-Input-Packets',0,'Update');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Acct-Output-Packets',0,'Update');
INSERT INTO columns_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','Acct-Terminate-Cause',0,'Update');

INSERT INTO columns_priv VALUES ('localhost','radius','dhcpd','ACCOUNTING','Client-IP-Address',0,'Update');
INSERT INTO columns_priv VALUES ('localhost','radius','dhcpd','ACCOUNTING','Timestamp Dhcp',0,'Update');
INSERT INTO columns_priv VALUES ('localhost','radius','dhcpd','ACCOUNTING','Calling-Station-Id',0,'Select');
INSERT INTO columns_priv VALUES ('localhost','radius','dhcpd','ACCOUNTING','Timestamp Start',0,'Select');
INSERT INTO columns_priv VALUES ('localhost','radius','dhcpd','ACCOUNTING','Timestamp Stop',0,'Select');

INSERT INTO columns_priv VALUES ('localhost','radius','apd','ACCOUNTING','User-Name',0,'Select');
INSERT INTO columns_priv VALUES ('localhost','radius','apd','ACCOUNTING','Client-IP-Address',0,'Select');
INSERT INTO columns_priv VALUES ('localhost','radius','apd','ACCOUNTING','Calling-Station-Id',0,'Select');
INSERT INTO columns_priv VALUES ('localhost','radius','apd','ACCOUNTING','Called-Station-Id',0,'Select');
INSERT INTO columns_priv VALUES ('localhost','radius','apd','ACCOUNTING','Timestamp Start',0,'Select');
INSERT INTO columns_priv VALUES ('localhost','radius','apd','ACCOUNTING','Timestamp Stop',0,'Select,Update');
INSERT INTO columns_priv VALUES ('localhost','radius','apd','ACCOUNTING','Acct-Terminate-Cause',0,'Update');

INSERT INTO db SET Host='localhost',Db='radius',User='radiusd',References_priv='Y';
INSERT INTO db SET Host='localhost',Db='radius',User='dhcpd',References_priv='Y';
INSERT INTO db SET Host='localhost',Db='radius',User='apd',References_priv='Y';

INSERT INTO tables_priv VALUES ('localhost','radius','radiusd','ACCOUNTING','root',0,'','Select,Insert,Update');
INSERT INTO tables_priv VALUES ('localhost','radius','dhcpd','ACCOUNTING','root',0,'','Select,Update');
INSERT INTO tables_priv VALUES ('localhost','radius','apd','ACCOUNTING','root',0,'','Select,Update');

INSERT INTO user SET Host='localhost',User='radiusd',Password=PASSWORD("$radiusd_password");
INSERT INTO user SET Host='localhost',User='dhcpd',Password=PASSWORD("$dhcpd_password");
INSERT INTO user SET Host='localhost',User='apd',Password=PASSWORD("$apd_password");

CREATE DATABASE radius;
USE radius;
CREATE TABLE ACCOUNTING (
  `User-Name` varchar(100) NOT NULL default '',
  `Calling-Station-Id` varchar(100) NOT NULL default '',
  `Client-IP-Address` varchar(100) NOT NULL default '',
  `Called-Station-Id` varchar(100) NOT NULL default '',
  `NAS-Port` int(10) unsigned NOT NULL default '0',
  `Timestamp Start` datetime NOT NULL default '1970-01-01 01:00:00',
  `Timestamp Dhcp` datetime NOT NULL default '1970-01-01 01:00:00',
  `Timestamp Stop` datetime NOT NULL default '1970-01-01 01:00:00',
  `Acct-Unique-Session-Id` varchar(100) NOT NULL default '',
  `Acct-Session-Time` int(10) unsigned NOT NULL default '0',
  `Acct-Input-Octets` int(10) unsigned NOT NULL default '0',
  `Acct-Output-Octets` int(10) unsigned NOT NULL default '0',
  `Acct-Input-Packets` int(10) unsigned NOT NULL default '0',
  `Acct-Output-Packets` int(10) unsigned NOT NULL default '0',
  `Acct-Terminate-Cause` varchar(100) NOT NULL default ''
) TYPE=MyISAM;

FLUSH PRIVILEGES;
